petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsInt

Gets the integer value for a particular option in the database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsInt_Private(PetscOptionItems *PetscOptionsObject,const char opt[],const char text[],const char man[],PetscInt currentvalue,PetscInt *value,PetscBool  *set)

Logically Collective on the communicator passed in PetscOptionsBegin() Many br

### Input Parameters

| opt | - option name Many br
| text | - short string that describes the option Many br
| man | - manual page with additional information on option Many br
| currentvalue | - the current value; caller is responsible for setting this value correctly. Normally this is done with either Many br

                    PetscOptionsInt(..., obj->value,&object->value,...) or

                    value = defaultvalue

                    PetscOptionsInt(..., value,&value,&flg);

                    if (flg) {

### Output Parameter

| value | - the integer value to return Many br
| flg | - PETSC_TRUE if found, else PETSC_FALSE Many br

Many br

Notes: Must be between a PetscOptionsBegin() and a PetscOptionsEnd() Many br

### See Also

PetscOptionsGetReal(), PetscOptionsHasName(), PetscOptionsGetString(), PetscOptionsGetInt(),
PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool() Many brPetscOptionsInt(), PetscOptionsString(), PetscOptionsReal(), PetscOptionsBool(), Many brPetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), Many brPetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), Many brPetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), Many brPetscOptionsFList(), PetscOptionsEList() Many br

Level:beginner
Location:src/sys/objects/aoptions.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex18.c.html
src/ksp/ksp/examples/tutorials/ex51.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html
src/ksp/ksp/examples/tutorials/ex62.c.html
src/ksp/ksp/examples/tutorials/ex64.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex28.c.html
src/snes/examples/tutorials/ex46.c.html